/*
PlanetPenguin Racer Configuration file
Version: 0.5alpha
*/


ppconfig <- {
/*
y_resolution

The vertical size of the window
*/
y_resolution = 600,

/*
joystick_y_axis

Joystick axis to use for paddling/braking (numbering starts at 0)
*/
joystick_y_axis = 1,

/*
music_enabled

Use this to turn music on and off.
*/
music_enabled = false,

/*
audio_format_mode

This controls the number of bits per sample for the audio.
Valid values are:
 0: 8 bits
 1: 16 bits
*/
audio_format_mode = 1,

/*
reset_key2

Key binding for resetting the player position
*/
reset_key2 = 118,

/*
display_course_percentage

Set this to true to display a progressbar of 
the course percentage.
*/
display_course_percentage = true,

/*
ui_snow

If true, then the ui screens will have falling snow.
*/
ui_snow = true,

/*
disable_fog

If true, then fog will be turned off.
*/
disable_fog = false,

/*
course_detail_level

This controls how accurately the course terrain is 
rendered. A high value results in greater accuracy at the cost of 
performance, and vice versa.
*/
course_detail_level = 150,

/*
write_diagnostic_log

If true, then a file called diagnostic_log.txt will be generated
which you should attach to any bug reports you make.
*/
write_diagnostic_log = false,

/*
view_mode2

Default view mode for player 2.
Possible values:
 0: Behind
 1: Follow
 2: Above
*/
view_mode2 = 1,

/*
terrain_error_scale

Amount to scale terrain errors by in order to be comparable to
height errors.
*/
terrain_error_scale = 0.20000000298023,

/*
joystick_paddle_button

Joystick button for paddling (numbering starts at 0).
*/
joystick_paddle_button = 0,

/*
joystick_x_axis

Joystick axis to use for turning (numbering starts at 0)
*/
joystick_x_axis = 0,

/*
stencil_buffer

Set this to true to activate the stencil buffer
*/
stencil_buffer = true,

/*
do_intro_animation

If false, then the introductory animation sequence will be skipped.
*/
do_intro_animation = true,

/*
audio_stereo

Audio will be played in stereo of true, and mono if false
*/
audio_stereo = true,

/*
x_resolution_half_width

Set this to true to use only half of the resolution width
*/
x_resolution_half_width = false,

/*
track_marks

If true, then the players will leave track marks in the snow.
*/
track_marks = true,

/*
enable_fsaa

Set this to true to activate FSAA
*/
enable_fsaa = false,


/*
tux_sphere_divisions

Higher values result in a more finely subdivided mesh 
for Tux, and vice versa. If you're experiencing low framerates,
try lowering this value.
*/
tux_sphere_divisions = 15,

/*
display_fps

Set this to true to display the current framerate in Hz.
*/
display_fps = true,

/*
terrain_blending

Controls the blending of the terrain textures.  Setting this
to false will help improve performance.
*/
terrain_blending = true,

/*
bpp_mode

Controls how many bits per pixel are used in the game.
Valid values are:

  0: Use current bpp setting of operating system
  1: 16 bpp
  2: 32 bpp
Note that some cards (e.g., Voodoo1, Voodoo2, Voodoo3) only support
16 bits per pixel.
*/
bpp_mode = 0,

/*
multisamples

Set multisamples for FSAA
*/
multisamples = 2,

/*
draw_tux_shadow

Set this to true to display Tux's shadow.
*/
draw_tux_shadow = true,

/*
disable_joystick

If true, joystick support is disabled
*/
disable_joystick = false,

/*
no_audio

If true, then audio in the game is completely disabled.
*/
no_audio = true,

/*
texture_filter

Allows you to control which type of texture
interpolation/mipmapping is used when rendering textures. The
values correspond to the following OpenGL settings:

0: GL_NEAREST
1: GL_LINEAR
2: GL_NEAREST_MIPMAP_NEAREST
3: GL_LINEAR_MIPMAP_NEAREST
4: GL_NEAREST_MIPMAP_LINEAR
5: GL_LINEAR_MIPMAP_LINEAR

On some cards, you may be able to improve performance by
decreasing this number, at the cost of lower image quality.
*/
texture_filter = 5,

/*
disable_videomode_autodetection

Set this to true disable the autodetection
for available video modes.
*/
disable_videomode_autodetection = false,

/*
fullscreen

If true then the game will run in full-screen mode.
*/
fullscreen = true,

/*
disable_collision_detection

If true, collision detection with models is disabled
*/
disable_collision_detection = false,

/*
sound_enabled

Use this to turn sound effects on and off.
*/
sound_enabled = false,

/*
audio_freq_mode

The controls the frequency of the audio.
Valid values are:
 0: 11025 Hz
 1: 22050 Hz
 2: 44100 Hz
*/
audio_freq_mode = 2,

/*
fov

Sets the camera field-of-view
*/
fov = 90,

/*
tux_shadow_sphere_divisions

The level of subdivision of Tux's shadow.
*/
tux_shadow_sphere_divisions = 3,

/*
jump_key

Key binding for jumping
*/
jump_key = 101,

/*
ui_language

Sets the language for the ui
*/
ui_language = "ru_RU",

/*
view_mode

Default view mode.
Possible values:
 0: Behind
 1: Follow
 2: Above
*/
view_mode = 1,

/*
forward_clip_distance

Controls how far ahead of the camera the course
is rendered. Larger values mean that more of the course is
rendered, resulting in slower performance. Decreasing this
value is an effective way to improve framerates.
*/
forward_clip_distance = 120,

/*
draw_particles

Controls the drawing of snow particles that are kicked up as Tux
turns and brakes.  Setting this to false should help improve 
performance.
*/
draw_particles = true,

/*
joystick_brake_button

Joystick button for braking (numbering starts at 0).
*/
joystick_brake_button = 2,

/*
use_cva

If true, then compiled vertex arrays will be used when
drawing the terrain.  Whether or not this helps performance
is driver- and card-dependent.
*/
use_cva = true,

/*
always_save_event_race_data

only for cheating purpose
*/
always_save_event_race_data = false,

/*
backward_clip_distance

Some objects aren't yet clipped to the view frustum, 
so this value is used to control how far up the course these 
objects are drawn.
*/
backward_clip_distance = 20,

/*
x_resolution

The horizontal size of the window
*/
x_resolution = 800,

/*
jump_key2

Key binding for jumping
*/
jump_key2 = 99,

/*
terrain_envmap

If true, then the ice will be drawn with an environment map,
which gives the ice a shiny appearance.  Setting this to false
will help improve performance.
*/
terrain_envmap = true,


};

